%define	name	bridge-utils
%define	version	1.5
%define	rel     3
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
License:	GPL
URL:		http://linux-net.osdl.org/index.php/Bridge
Source0:	http://downloads.sourceforge.net/bridge/%{name}-%{version}.tar.gz
Patch1:		bridge-utils-1.5-kernel-headers.patch
BuildRequires:	kernel-headers

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%package	devel
Summary:	Libraries for the linux ethernet bridge programs
Group:		Development/C

%description	devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%prep
%setup -q
%patch1 -p1 -b .kernel-headers

%build
autoconf
%configure2_5x
# makefile is broken and passes -j without argument to sub-make
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%{_mandir}/man*/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_mandir}/man*/*
#{_libdir}/*.a
#{_includedir}/*.h




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.5-3.mga4
+ Revision: 515706
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 cjw <cjw> 1.5-2.mga3
+ Revision: 374253
- patch1: fix build with new kernel headers
- drop buildroot definition
- don't use parallel make because of broken makefile

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.5-1.mga2
+ Revision: 131051
- fix file list
- new release

* Mon Mar 07 2011 ennael <ennael> 1.4-6.mga1
+ Revision: 65953
- imported package bridge-utils


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-6mdv2011.0
+ Revision: 603770
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-5mdv2010.1
+ Revision: 518987
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - drop old 2007.1-related upgrade docfile

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4-4mdv2010.0
+ Revision: 413185
- rebuild

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdv2009.1
+ Revision: 337173
- keep bash completion in its own package

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2009.1
+ Revision: 316479
- rebuild

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdv2008.1
+ Revision: 158614
- update to new version 1.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-4mdv2008.1
+ Revision: 109462
- use correct configure macro
- drop polish translations from spec
- spec cleanupp
- bash completion


* Thu Jan 25 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2007.0
+ Revision: 113465

  + Michael Scherer <misc@mandriva.org>
    - use the new url of wiki

* Sun Jan 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.1
+ Revision: 111317
- really show update notes

* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.1
+ Revision: 104667
- update URL
- 1.2
- add update notes
- remove the bridge service (part of #23814)
- Import bridge-utils

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 1.1-1mdk
- New release 1.1

* Thu Dec 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-2mdk
- rebuild for new libsysfs

* Fri Jun 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.6-1mdk
- 1.0.6
- drop P1
- fix requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- drop bidi (removed upstream)
- fix summary-ended-with-dot
- cosmetics

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 0.9.7-2mdk
- add initscript and sysconf file

* Wed May 26 2004 Florin <florin@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add the bidi file from the misc directory

